--[[

Name: Sphere FuBar Settings
Revision: $Revision: 41939 $
Date: $Date: 2007-06-27 18:58:53 -0400 (Wed, 27 Jun 2007) $
Author(s): benumbed (someone@somewhere.com)
Website: http://www.wowace.com/wiki/Sphere
Documentation: http://www.wowace.com/wiki/Sphere
SVN: http://svn.wowace.com/root/trunk/Sphere
Description: A Module to change various FuBar Settings in Sphere.
Dependencies: Ace2, FuBar, Sphere

]]--

if not IsAddOnLoaded("FuBar") then return end

--- ========================================================= ---
--- Revision
--- ========================================================= ---

local Revision = tonumber(string.sub("$Revision: 41939 $", 12, -3))
if not Revision then
	Revision = "2.0"
end

--- ========================================================= ---
--- Add Locale
--- ========================================================= ---
local L = AceLibrary("AceLocale-2.2"):new("SphereFuBarSettings")

L:RegisterTranslations("enUS", function() return {
	["FuBar Settings"] = true,
} end)

--- ========================================================= ---
--- Register New Module
--- ========================================================= ---

SphereFuBarSettings = Sphere:NewModule("FuBarSettings")

--- ========================================================= ---
--- On Initialize
--- ========================================================= ---

function SphereFuBarSettings:OnInitialize()
    self.db = Sphere:AcquireDBNamespace("FuBarSettings")

	SphereFuBarSettings.defaultDB = {
    }
	
	Sphere:RegisterDefaults("FuBarSettings", "profile", opts or SphereFuBarSettings.defaultDB or {})
    
	local bluecolor = "|cFF0099CC"
	local lbluecolor = "|cFF77BBFF"
	
	Sphere.Options.args.settings.args.FuBarSettingsBlank = {
       	type = "header",
		order = 399,
	}
	
	Sphere.Options.args.settings.args.FuBarSettings = {
		name = lbluecolor..L["FuBar Settings"],
		icon = "Interface\\GossipFrame\\BinderGossipIcon",
       	type = "header",
		order = 400,
	}
	
end

--- ========================================================= ---
--- Reset DB
--- ========================================================= ---

local function copyTable(to, from)
	setmetatable(to, nil)
	for k,v in pairs(from) do
		if type(k) == "table" then
			k = copyTable({}, k)
		end
		if type(v) == "table" then
			v = copyTable({}, v)
		end
		to[k] = v
	end
	setmetatable(to, from)
	return to
end

function SphereFuBarSettings:ResetDB()
	copyTable(self.db.profile, SphereFuBarSettings.defaultDB)
end